Summary: Timezone data
Name: tzdata
Version: 2009f
%define tzdata_version %{version}
%define tzcode_version 2009e
Release: 1.el2_1
License: GPL
Group: System Environment/Base
Source0: tzdata-base-0.tar.bz2
Source1: ftp://elsie.nci.nih.gov/pub/tzdata%{tzdata_version}.tar.gz
Source2: ftp://elsie.nci.nih.gov/pub/tzcode%{tzcode_version}.tar.gz
BuildRequires: gawk, glibc, glibc-common, perl
Conflicts: glibc-common < 2.2.4-32.25
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-root
Patch1: tzdata-2009f-cairo.patch

%description
This package contains data files with rules for various timezones around
the world.

%prep
%setup -n tzdata
mkdir tzdata%{tzdata_version}
tar xzf %{SOURCE1} -C tzdata%{tzdata_version}
mkdir tzcode%{tzcode_version}
tar xzf %{SOURCE2} -C tzcode%{tzcode_version}
sed -e 's|@objpfx@|'`pwd`'/obj/|' \
    -e 's|@datadir@|%{_datadir}|' \
    -e 's|@install_root@|%{buildroot}|' \
  Makeconfig.in > Makeconfig
%patch1 -p0

%build
make
grep -v tz-art.htm tzcode%{tzcode_version}/tz-link.htm > tzcode%{tzcode_version}/tz-link.html

%install
make install

#%check
echo ====================TESTING=========================
make check
echo ====================TESTING END=====================

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/zoneinfo
%doc tzcode%{tzcode_version}/README
%doc tzcode%{tzcode_version}/Theory
%doc tzcode%{tzcode_version}/tz-link.html

%changelog
* Mon Apr 13 2009 Petr Machata <pmachata@redhat.com> - 2009f-1.el2_1
- Upstream 2009a
  - Fix Asia/Kathmandu spelling
  - Historical timestamps for Switzerland and Cuba
  - DST update for America/Resolute
- Upstream 2009d
  - Morocco will observe DST from 2009-06-01 00:00 to 2009-08-21 00:00
  - Tunisia will not observe DST this year.
  - Syria will start DST on 2009-03-27 00:00 this year
  - Cuba will start DST on midnight between 2009-03-07 and 2009-03-08
  - Province of San Luis, Argentina, went to UTC-04:00 on 2009-03-15
- Upstream 2009e
  - Historical changes for Jordan
  - Palestine will start DST on 2009-03-26 and end 2009-09-27
- Upstream 2009f
  - Pakistan will observe DST between 2009-04-15 and (probably) 2009-11-01
- Resolves: #495474
- Egypt ends DST on 2009-09-24
- Resolves: #495490

* Thu Oct 30 2008 Petr Machata <pmachata@redhat.com> - 2008i-1.el2_1
- Upstream 2008g
  - Fixed future DST transitions for Brazil
- Upstream 2008h
  - Fix exact DST transition hour for Mauritius
  - Syria will leave the period of DST on Nov 1
  - Fix coordinates of Pacific/Niue
- Upstream 2008i
  - Updates for Argentina: Drop DST in zones America/Argentina/Jujuy,
    La_Rioja, San_Juan, Catamarca, Mendoza, Rio_Gallegos, Ushuaia; new
    zone America/Argentina/Salta (for provinces SA, LP, NQ, RN).
- Resolves: #467199

* Thu Oct  2 2008 Petr Machata <pmachata@redhat.com> - 2008f-1.el2_1
- Upstream 2008f
  - Gaza strip runs on different clocks during Ramadan
  - Argentina and Brazil will start DST on Sunday October 19, 2008
- Drop Pakistan & Morocco patches
- Resolves: #462710

* Thu Aug 28 2008 Petr Machata <pmachata@redhat.com> - 2008e-1.el2_1
- Upstream 2008c
  - Mongolia changes zone
  - Pakistan DST is scheduled until Sep/1, instead of Aug/31
- Upstream 2008d
  - Changes for Brazil and Mauritius
- Upstream 2008e
  - Changes for Mauritius
  - Leap second coverage for 31/Dec 2008
  - Corrections of historical dates
- Drop Morocco and Pakistan patches that are superseded by upstream
- Pakistan DST is scheduled until Oct/31
- Morocco DST is scheduled until Aug/31
- Resolves: #460363
  #460460 #460165 #452682

* Fri May 23 2008 Petr Machata <pmachata@redhat.com> - 2008b-3.el2_1
- Morocco introduces DST
- Resolves: #448376

* Fri May 23 2008 Petr Machata <pmachata@redhat.com> - 2008b-2.el2_1
- Upstream 2008b
  - DST changes for Syria, Cuba; Iraq abandons DST
  - Saigon zone renamed Ho_Chi_Minh; backward link provided
  - Add America/Argentina/San_Luis information
- Pakistan introduces DST
- Resolves: #447296

* Tue Mar  4 2008 Petr Machata <pmachata@redhat.com> - 2007k-2.el2_1
- Chile moves DST to 29/Mar
- Resolves: #436014

* Wed Jan  2 2008 Petr Machata <pmachata@redhat.com> - 2007k-1.el2_1
- Upstream 2007k
  - Argentina readopted the daylight saving time
- Resolves: #426930

* Tue Dec  4 2007 Petr Machata <pmachata@redhat.com> - 2007j-1.el2_1
- Upstream 2007j
  - New links America/St_Barthelemy and America/Marigot
  - Venezuela is changing their clocks on December 9 at 03:00
- Upstream 2007i
  - Syria DST will take place at Midnight between Thursday and Friday.
  - Cuba will end DST on the last Sunday of October.
- Update tst-timezone.c from glibc CVS
- Resolves: #410131

* Mon Oct  1 2007 Petr Machata <pmachata@redhat.com> - 2007h-1.el2_1
- Upstream 2007h
  - Brazil will observe DST from 2007-10-14 to 2008-02-17
  - Egypt and Gaza switched earlier than we expected
  - Iran will resume DST next year
  - Venezuela is scheduled to change TZ to -4:30 on January 1
- Resolves: #266921
- Resolves: #298401

* Thu Sep 20 2007 Petr Machata <pmachata@redhat.com> - 2007g-1.el2_1
- Upstream 2007g
  - Egypt switches the September 7, not September 28
  - Daviess, Dubous, Knox, Martin, and Pike Counties, Indiana, switch
    from central to eastern time in November
  - South Australia, Tasmania, Victoria, and New South Wales are
    changing their DST rules effective next year
  - Several Antarctic station's rules weren't properly updated to account
    for this year's change to the New Zealand daylight saving rules
- Venezuela timezone changes from -4:00 to -4:30 at 24 September
- Resolves: #266921
- Resolves: #298401

* Tue Jul  3 2007 Petr Machata <pmachata@redhat.com> - 2007f-1.el2_1
- Upstream 2007f
  - New Zealand is extending DST, starting later this year.
  - Haiti no longer observes DST.
  - The Turks and Caicos switch at 02:00, not at 00:00, and have
    adopted US DST rules.
- Upstream 2007e
  - Syria switched to summer time at Mar/29.
  - Honduras will not enter DST this year.
- Resolves: #241814

* Fri Mar 23 2007 Petr Machata <pmachata@redhat.com> - 2007d-1.el2_1
- Upstream 2007d
  - Mongolia has abolished DST.
  - Turkey will use EU rules this year, changing at 01:00 UTC rather
    than 01:00 standard time.
  - Cuba observed DST starting Sunday.
  - Resolute, Nunavut switched from Central to Eastern time last
    November.

* Wed Feb 28 2007 Petr Machata <pmachata@redhat.com> - 2007c-1.el2_1
- Upstream 2007c
  - Pulaski County, Indiana, switched back to eastern time.
  - Turkey switches at 01:00 standard time, not at 01:00 UTC.
- Upstream 2007b
  - Changes to the commentary in "leapseconds".
- Upstream 2007a
  - Updates to Bahamas, they will be in sync with 2007 US DST change
  - New zone Australia/Eucla
  - Africa/Asmera renamed to Africa/Asmara, link created
  - Atlantic/Faeroe renamed to Atlantic/Faroe, link created
- Upstream 2006p
  - Latitude/longitude changes for Europe/Jersey and Europe/Podgorica
- Upstream 2006o
  - Cuba has ended its three years of permanent DST.
  - Updates in historical timestamps for Chile.
- Resolves: #230086

* Wed Nov 22 2006 Petr Machata <pmachata@redhat.com> - 2006m-3.el2_1
- Patch for Western Australia DST trial (bz 216692)

* Tue Oct 10 2006 Petr Machata <pmachata@redhat.com> - 2006m-2.el2_1
- Proposed upstream patch (#210059)
  - Jordan will switch to winter time on October 27, not September 29
  - Brazil's DST this year is the first Sunday in November to the last
    Sunday in February.  (Thanks to Frederico A. C. Neves.)
  - ISO 3166 codes for Serbia and Montenegro, zone Europe/Podgorica
  - Commentary and past timestamps changes
- Upstream 2006m:
  - Adjustments for Egypt, Palestine, Uruguay
  - Better description of `until' field in zic (8) manpage
- Upstream 2006k, 2006l:
  - Adjustments for Egypt, Palestine, Cuba, Honduras
  - Documentation changes

* Tue Aug 22 2006 Petr Machata <pmachata@redhat.com> - 2006j-1.el2_1
- Upstream 2006j
  - Honduras stopped observing DST on Monday at 00:00
  - America/Bermuda will follow the US's lead next year
  - America/Moncton will use US-style rules next year
  - New Zone America/Blanc-Sablon, for Canadians who observe AST all
    year
  - New zone: America/Atikokan instead of America/Coral_Harbour
  - New zones: Europe/Jersey, Europe/Guernsey, Europe/Isle_of_Man
  - Historical changes
  - Commentary updates
- Upstream 2006i
  - localtime.c fixes
- Upstream 2006h
  - zic leapsecond fix

* Tue Jul 25 2006 Petr Machata <pmachata@redhat.com> - 2006g-1.EL2_1
- Upstream 2006g (#199926); updates:
  - America: Edmonton, Guatemala, Indiana/Vincennes, Thule
  - Canada, Haiti, Honduras, Iran, Nicaragua, Sri Lanka, Tunisia

* Mon Apr 04 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1.3
- Fix conflicts.

* Mon Apr 04 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1.2
- bump up release for test rebuild

* Mon Apr 03 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1.1
- bump up release for test rebuild

* Fri Mar 31 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1
- initial package (2006a, with Sri Lanka changes)
